Draft Miroir

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Mirror and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Page précédente : Draft Scale.svg Echelle
Page suivante : Décalage Draft Offset.svg Arrow-right.svg

Draft Mirror.svg Draft Miroir

Emplacement du menu
Modification → Miroir
Ateliers
Draft, Arch
Raccourci par défaut
M I
Introduit dans la version
-
Voir aussi
Draft Clone

Description

La commande Draft Mirror.svg Draft Miroir crée des copies miroir, des objets Part Miroir, à partir des objets sélectionnés. Un objet Part Miroir est paramétrique et il sera mis à jour si son objet source change.

Cette commande peut être utilisée sur des objets 2D créés avec l'atelier Draft ou l'atelier Sketcher, mais aussi sur de nombreux objets 3D tels que ceux créés avec l'atelier Part, l'atelier PartDesign ou l'atelier Arch.

Draft Mirror example.jpg

Mise en miroir d'un objet

Utilisation

Voir aussi : Draft Accrochage et Draft Contrainte.

  1. En option, sélectionnez un ou plusieurs objets.
  2. Il existe plusieurs façons de lancer la commande :
  3. Si vous n'avez pas encore sélectionné d'objet : sélectionnez un objet dans la Vue 3D.
  4. Le panneau de tâches Mirror s'ouvre. Voir Options pour plus d'informations.
  5. Choisissez le premier point du plan miroir dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  6. Choisissez le deuxième point du plan miroir dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  7. Le plan miroir est défini par les points sélectionnés et la normale du DraftPlan de travail.

Options

Les raccourcis clavier à caractère unique mentionnés ici peuvent être modifiés. Voir Draft Préférences.

  • Pour saisir manuellement des coordonnées, entrez les valeurs X, Y et Z et appuyez sur Entrée après chacune, ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur R ou cliquez sur la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées du deuxième point sont relatives au premier point, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • La case à cocher Continue n'a aucune utilité pour cette commande.
  • La case à cocher Modifier les sous-éléments n'a pas d'utilité pour cette commande.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour abandonner la commande.

Remarques

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées : Edition → Préférences... → Général → Unités → Systèmes d'unités → Nombre de décimales.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Part Miroir est dérivé d'un objet Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Base

  • DonnéesSource (Link) : spécifie l'objet qui est mis en miroir.

Plane

  • DonnéesBase (Vector) : indique le point de base du plan miroir.
  • DonnéesNormal (Vector) : spécifie la direction normale du plan miroir.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour mettre en miroir des objets, utilisez la méthode mirror du module Draft.

mirrored_list = mirror(objlist, p1, p2)
  • objlist contient les objets à mettre en miroir. Il s'agit soit d'un objet unique, soit d'une liste d'objets.
  • p1 est le premier point du plan miroir.
  • p2 est le second point du plan miroir.
  • Si le Draft Plan de travail est disponible, l'alignement du plan miroir est déterminé par sa normale, sinon la direction de la caméra dans la 3D view active est utilisée. Si l'interface graphique n'est pas disponible, l'axe Z est utilisé.
  • mirrored_list est retourné avec les nouveaux objets Part::Mirroring. Il s'agit soit d'un objet unique, soit d'une liste d'objets, en fonction de objlist.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)

line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)

Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)

doc.recompute()


Arrow-left.svg Page précédente : Draft Scale.svg Echelle
Page suivante : Décalage Draft Offset.svg Arrow-right.svg